commit f9e34b1aef14d22209bd7b6ed8c58899a0a27b82
Author: Jason Merrill <jason@redhat.com>
Date:   Tue Aug 27 13:13:40 2024 -0400

    libstdc++: remove extra semicolons
    
    The semicolons after each macro invocation here end up following the closing
    brace of a function, leading to -Wextra-semi pedwarns.
    
    libstdc++-v3/ChangeLog:
    
            * include/decimal/decimal.h (_DEFINE_DECIMAL_BINARY_OP_WITH_INT):
            Remove redundant semicolons.
    
    (cherry picked from commit 7b500fa34ad88d5fdd4bf74eb2737b214749075b)

diff --git a/libstdc++-v3/include/decimal/decimal.h b/libstdc++-v3/include/decimal/decimal.h
index 6ecd1637083..99376a60cdf 100644
--- a/libstdc++-v3/include/decimal/decimal.h
+++ b/libstdc++-v3/include/decimal/decimal.h
@@ -336,18 +336,18 @@ namespace decimal
   }
 
 #define _DEFINE_DECIMAL_BINARY_OP_WITH_INT(_Op, _T1)		\
-  _DEFINE_DECIMAL_BINARY_OP_LHS(_Op, _T1, int);			\
-  _DEFINE_DECIMAL_BINARY_OP_LHS(_Op, _T1, unsigned int);	\
-  _DEFINE_DECIMAL_BINARY_OP_LHS(_Op, _T1, long);		\
-  _DEFINE_DECIMAL_BINARY_OP_LHS(_Op, _T1, unsigned long);	\
-  _DEFINE_DECIMAL_BINARY_OP_LHS(_Op, _T1, long long);		\
-  _DEFINE_DECIMAL_BINARY_OP_LHS(_Op, _T1, unsigned long long);	\
-  _DEFINE_DECIMAL_BINARY_OP_RHS(_Op, _T1, int);			\
-  _DEFINE_DECIMAL_BINARY_OP_RHS(_Op, _T1, unsigned int);	\
-  _DEFINE_DECIMAL_BINARY_OP_RHS(_Op, _T1, long);		\
-  _DEFINE_DECIMAL_BINARY_OP_RHS(_Op, _T1, unsigned long);	\
-  _DEFINE_DECIMAL_BINARY_OP_RHS(_Op, _T1, long long);		\
-  _DEFINE_DECIMAL_BINARY_OP_RHS(_Op, _T1, unsigned long long);	\
+  _DEFINE_DECIMAL_BINARY_OP_LHS(_Op, _T1, int)			\
+  _DEFINE_DECIMAL_BINARY_OP_LHS(_Op, _T1, unsigned int)		\
+  _DEFINE_DECIMAL_BINARY_OP_LHS(_Op, _T1, long)			\
+  _DEFINE_DECIMAL_BINARY_OP_LHS(_Op, _T1, unsigned long)	\
+  _DEFINE_DECIMAL_BINARY_OP_LHS(_Op, _T1, long long)		\
+  _DEFINE_DECIMAL_BINARY_OP_LHS(_Op, _T1, unsigned long long)	\
+  _DEFINE_DECIMAL_BINARY_OP_RHS(_Op, _T1, int)			\
+  _DEFINE_DECIMAL_BINARY_OP_RHS(_Op, _T1, unsigned int)		\
+  _DEFINE_DECIMAL_BINARY_OP_RHS(_Op, _T1, long)			\
+  _DEFINE_DECIMAL_BINARY_OP_RHS(_Op, _T1, unsigned long)	\
+  _DEFINE_DECIMAL_BINARY_OP_RHS(_Op, _T1, long long)		\
+  _DEFINE_DECIMAL_BINARY_OP_RHS(_Op, _T1, unsigned long long)
 
   _DEFINE_DECIMAL_BINARY_OP_WITH_DEC(+, decimal32, decimal32, decimal32)
   _DEFINE_DECIMAL_BINARY_OP_WITH_INT(+, decimal32)

